package framework;

import java.io.File;
import java.util.Timer;
import java.util.TimerTask;

public class CleanTask extends TimerTask {
	
	private String path;
	public static Timer timer = new Timer();

	public CleanTask(String path) { 
		this.path = path;
	}

	public void run() {
		File file = new File(path);
		
		boolean deleted = file.delete();
		
		if (deleted) {
			System.out.println("Deletion of " + file + " successfull..");
		}
		else {
			System.out.println("Deletion of " + file + " is pending..");
			timer.schedule(new CleanTask(path), 5000);
		}
	}
}
