package aspects;

import java.io.File;

public aspect ConcreteSecurityAspect extends SecurityAspect {

	pointcut criticalCode() : call(* File.delete(..));
	pointcut untrustedCode() : execution(* untrusted.*.*(..));
	pointcut priviledgedCall() : call(* *.doPrivileged(..));

}
